OpenCV: cv::MatOp Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::MatOp Class Referenceabstract
Core functionality » Basic structures

`#include "mat.hpp"`

## Public Member Functions
| MatOp ()
virtual | ~MatOp ()
virtual void | abs (const MatExpr &expr, MatExpr &res) const
virtual void | add (const MatExpr &expr1, const MatExpr &expr2, MatExpr &res) const
virtual void | add (const MatExpr &expr1, const Scalar &s, MatExpr &res) const
virtual void | assign (const MatExpr &expr, Mat &m, int type=-1) const =0
virtual void | augAssignAdd (const MatExpr &expr, Mat &m) const
virtual void | augAssignAnd (const MatExpr &expr, Mat &m) const
virtual void | augAssignDivide (const MatExpr &expr, Mat &m) const
virtual void | augAssignMultiply (const MatExpr &expr, Mat &m) const
virtual void | augAssignOr (const MatExpr &expr, Mat &m) const
virtual void | augAssignSubtract (const MatExpr &expr, Mat &m) const
virtual void | augAssignXor (const MatExpr &expr, Mat &m) const
virtual void | diag (const MatExpr &expr, int d, MatExpr &res) const
virtual void | divide (const MatExpr &expr1, const MatExpr &expr2, MatExpr &res, double scale=1) const
virtual void | divide (double s, const MatExpr &expr, MatExpr &res) const
virtual bool | elementWise (const MatExpr &expr) const
virtual void | invert (const MatExpr &expr, int method, MatExpr &res) const
virtual void | matmul (const MatExpr &expr1, const MatExpr &expr2, MatExpr &res) const
virtual void | multiply (const MatExpr &expr1, const MatExpr &expr2, MatExpr &res, double scale=1) const
virtual void | multiply (const MatExpr &expr1, double s, MatExpr &res) const
virtual void | roi (const MatExpr &expr, const Range &rowRange, const Range &colRange, MatExpr &res) const
virtual Size | size (const MatExpr &expr) const
virtual void | subtract (const MatExpr &expr1, const MatExpr &expr2, MatExpr &res) const
virtual void | subtract (const Scalar &s, const MatExpr &expr, MatExpr &res) const
virtual void | transpose (const MatExpr &expr, MatExpr &res) const
virtual int | type (const MatExpr &expr) const

## Constructor & Destructor Documentation

## ◆ MatOp()

cv::MatOp::MatOp | ( |  | ) |

## ◆ ~MatOp()

virtual cv::MatOp::~MatOp | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ abs()

virtual void cv::MatOp::abs | ( | const MatExpr & | expr,
|  | MatExpr & | res
| ) |  | const
| virtual

## ◆ add() [1/2]

virtual void cv::MatOp::add | ( | const MatExpr & | expr1,
|  | const MatExpr & | expr2,
|  | MatExpr & | res
| ) |  | const
| virtual

## ◆ add() [2/2]

virtual void cv::MatOp::add | ( | const MatExpr & | expr1,
|  | const Scalar & | s,
|  | MatExpr & | res
| ) |  | const
| virtual

## ◆ assign()

virtual void cv::MatOp::assign | ( | const MatExpr & | expr,
|  | Mat & | m,
|  | int | type = `-1`
| ) |  | const
| pure virtual

## ◆ augAssignAdd()

virtual void cv::MatOp::augAssignAdd | ( | const MatExpr & | expr,
|  | Mat & | m
| ) |  | const
| virtual

## ◆ augAssignAnd()

virtual void cv::MatOp::augAssignAnd | ( | const MatExpr & | expr,
|  | Mat & | m
| ) |  | const
| virtual

## ◆ augAssignDivide()

virtual void cv::MatOp::augAssignDivide | ( | const MatExpr & | expr,
|  | Mat & | m
| ) |  | const
| virtual

## ◆ augAssignMultiply()

virtual void cv::MatOp::augAssignMultiply | ( | const MatExpr & | expr,
|  | Mat & | m
| ) |  | const
| virtual

## ◆ augAssignOr()

virtual void cv::MatOp::augAssignOr | ( | const MatExpr & | expr,
|  | Mat & | m
| ) |  | const
| virtual

## ◆ augAssignSubtract()

virtual void cv::MatOp::augAssignSubtract | ( | const MatExpr & | expr,
|  | Mat & | m
| ) |  | const
| virtual

## ◆ augAssignXor()

virtual void cv::MatOp::augAssignXor | ( | const MatExpr & | expr,
|  | Mat & | m
| ) |  | const
| virtual

## ◆ diag()

virtual void cv::MatOp::diag | ( | const MatExpr & | expr,
|  | int | d,
|  | MatExpr & | res
| ) |  | const
| virtual

## ◆ divide() [1/2]

virtual void cv::MatOp::divide | ( | const MatExpr & | expr1,
|  | const MatExpr & | expr2,
|  | MatExpr & | res,
|  | double | scale = `1`
| ) |  | const
| virtual

## ◆ divide() [2/2]

virtual void cv::MatOp::divide | ( | double | s,
|  | const MatExpr & | expr,
|  | MatExpr & | res
| ) |  | const
| virtual

## ◆ elementWise()

virtual bool cv::MatOp::elementWise | ( | const MatExpr & | expr | ) | const
| virtual

## ◆ invert()

virtual void cv::MatOp::invert | ( | const MatExpr & | expr,
|  | int | method,
|  | MatExpr & | res
| ) |  | const
| virtual

## ◆ matmul()

virtual void cv::MatOp::matmul | ( | const MatExpr & | expr1,
|  | const MatExpr & | expr2,
|  | MatExpr & | res
| ) |  | const
| virtual

## ◆ multiply() [1/2]

virtual void cv::MatOp::multiply | ( | const MatExpr & | expr1,
|  | const MatExpr & | expr2,
|  | MatExpr & | res,
|  | double | scale = `1`
| ) |  | const
| virtual

## ◆ multiply() [2/2]

virtual void cv::MatOp::multiply | ( | const MatExpr & | expr1,
|  | double | s,
|  | MatExpr & | res
| ) |  | const
| virtual

## ◆ roi()

virtual void cv::MatOp::roi | ( | const MatExpr & | expr,
|  | const Range & | rowRange,
|  | const Range & | colRange,
|  | MatExpr & | res
| ) |  | const
| virtual

## ◆ size()

virtual Size cv::MatOp::size | ( | const MatExpr & | expr | ) | const
| virtual

## ◆ subtract() [1/2]

virtual void cv::MatOp::subtract | ( | const MatExpr & | expr1,
|  | const MatExpr & | expr2,
|  | MatExpr & | res
| ) |  | const
| virtual

## ◆ subtract() [2/2]

virtual void cv::MatOp::subtract | ( | const Scalar & | s,
|  | const MatExpr & | expr,
|  | MatExpr & | res
| ) |  | const
| virtual

## ◆ transpose()

virtual void cv::MatOp::transpose | ( | const MatExpr & | expr,
|  | MatExpr & | res
| ) |  | const
| virtual

## ◆ type()

virtual int cv::MatOp::type | ( | const MatExpr & | expr | ) | const
| virtual

The documentation for this class was generated from the following file:

- core/include/opencv2/core/mat.hpp